Subject: Re: [RFC: 2.6 patch] powerpc: asm/elf.h: reduce userspace header

From: Christoph Hellwig <[email-masked]>
Date: Mon, 30 Jun 2008 16:28:34 +0200

On Mon, Jun 23, 2008 at 08:48:28PM +0300, Adrian Bunk wrote:
> This patch makes asm/elf.h export less non-userspace stuff to userspace.

I don't think this header should be exported at all.  There's a
userspace elf.h that should be used instead.